# Class ConcurrentLinkedHashSet<K>

java.lang.Object
com.macrofocus.common.collection.ConcurrentLinkedHashSet<K>

All Implemented Interfaces:
  `Iterable<K>, Collection<K>, Set<K>`

public class ConcurrentLinkedHashSet<K> extends Object implements Set<K>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConcurrentLinkedHashSet()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `add(K e)`
  `boolean`
  `addAll(Collection<? extends K> c)`
  `void`
  `clear()`
  `boolean`
  `contains(Object o)`
  `boolean`
  `containsAll(Collection<?> c)`
  `boolean`
  `isEmpty()`
  `Iterator<K>`
  `iterator()`
  `boolean`
  `remove(Object o)`
  `boolean`
  `removeAll(Collection<?> c)`
  `boolean`
  `retainAll(Collection<?> c)`
  `int`
  `size()`
  `Object[]`
  `toArray()`
  `<T> T[]`
  `toArray(T[] a)`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface Collection

  `parallelStream, removeIf, stream, toArray`

  ### Methods inherited from interface Iterable

  `forEach`

  ### Methods inherited from interface Set

  `equals, hashCode, spliterator`

- ## Constructor Details

  - ### ConcurrentLinkedHashSet

    public ConcurrentLinkedHashSet()

- ## Method Details

  - ### add

    public boolean add(K e)
    Specified by:
      `add` in interface `Collection<K>`
    Specified by:
      `add` in interface `Set<K>`

  - ### addAll

    public boolean addAll(Collection<? extends K> c)
    Specified by:
      `addAll` in interface `Collection<K>`
    Specified by:
      `addAll` in interface `Set<K>`

  - ### clear

    public void clear()
    Specified by:
      `clear` in interface `Collection<K>`
    Specified by:
      `clear` in interface `Set<K>`

  - ### contains

    public boolean contains(Object o)
    Specified by:
      `contains` in interface `Collection<K>`
    Specified by:
      `contains` in interface `Set<K>`

  - ### containsAll

    public boolean containsAll(Collection<?> c)
    Specified by:
      `containsAll` in interface `Collection<K>`
    Specified by:
      `containsAll` in interface `Set<K>`

  - ### isEmpty

    public boolean isEmpty()
    Specified by:
      `isEmpty` in interface `Collection<K>`
    Specified by:
      `isEmpty` in interface `Set<K>`

  - ### iterator

    public Iterator<K> iterator()
    Specified by:
      `iterator` in interface `Collection<K>`
    Specified by:
      `iterator` in interface `Iterable<K>`
    Specified by:
      `iterator` in interface `Set<K>`

  - ### remove

    public boolean remove(Object o)
    Specified by:
      `remove` in interface `Collection<K>`
    Specified by:
      `remove` in interface `Set<K>`

  - ### removeAll

    public boolean removeAll(Collection<?> c)
    Specified by:
      `removeAll` in interface `Collection<K>`
    Specified by:
      `removeAll` in interface `Set<K>`

  - ### retainAll

    public boolean retainAll(Collection<?> c)
    Specified by:
      `retainAll` in interface `Collection<K>`
    Specified by:
      `retainAll` in interface `Set<K>`

  - ### size

    public int size()
    Specified by:
      `size` in interface `Collection<K>`
    Specified by:
      `size` in interface `Set<K>`

  - ### toArray

    public Object[] toArray()
    Specified by:
      `toArray` in interface `Collection<K>`
    Specified by:
      `toArray` in interface `Set<K>`

  - ### toArray

    public <T> T[] toArray(T[] a)
    Specified by:
      `toArray` in interface `Collection<K>`
    Specified by:
      `toArray` in interface `Set<K>`